gnutls_certificate_expiration_time_peers(3)

NAME
gnutls_certificate_expiration_time_peers - API function

SYNOPSIS
#include <gnutls/gnutls.h>

time_t gnutls_certificate_expiration_time_peers(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

DESCRIPTION
This function will return the peer's certificate expiration time.

RETURNS
(time_t)-1 on error.

DEPRECATED
gnutls_certificate_verify_peers2() now verifies expiration times.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/